/* License. */
/*  */
/* geo_code.c */
/*  */
/* This file provides a set of geometric facilities. */



#include "common_macros.h"



	/* Try to preserve NAMESPACE, but allow it to be overridden. The name is */
	/*  intentional: we want to trivially hook the same mechanisms that are */
	/*  targeted at "common_float.c". */
#ifndef CMNFLT_NAMESPACE
# define CMNFLT_NAMESPACE IDENTITY( NAMESPACE )
#endif



	/* To avoid later compiler warnings. */
#undef NAMESPACE



#define USE_FLT
# define NAMESPACE CONCAT( CMNFLT_NAMESPACE, flt_ )
#  include "geo_code.xmacro"
# undef NAMESPACE
#undef USE_FLT

#define USE_DBL
# define NAMESPACE CONCAT( CMNFLT_NAMESPACE, dbl_ )
#  include "geo_code.xmacro"
# undef NAMESPACE
#undef USE_DBL

#define USE_LDBL
# define NAMESPACE CONCAT( CMNFLT_NAMESPACE, ldbl_ )
#  include "geo_code.xmacro"
# undef NAMESPACE
#undef USE_LDBL
